package cmd

import (
	"fmt"
	"train/pkg/installer"
	"github.com/spf13/cobra"
)

var infoCmd = &cobra.Command{
	Use:   "info [package]",
	Short: "Выводит информацию о пакете",
	Args:  cobra.ExactArgs(1),
	Run: func(cmd *cobra.Command, args []string) {
		pkgName := args[0]
		info, err := installer.GetPackageInfo(pkgName)
		if err != nil {
			fmt.Printf("Ошибка получения информации: %v\n", err)
			return
		}
		fmt.Printf("Информация о пакете %s:\n%s\n", pkgName, info)
	},
}